 /* '06 Main.cpp' */

 /* Nagłowek strumienia wejścia-wyjścia*/
#include <iostream>

long Exponential (unsigned long Number, short Exponent);

main (void)
{
 long ExponentialValue;

 ExponentialValue = Exponential (4, 5);

 std::cout << ExponentialValue << std::endl;

 return 0;
}

long Exponential (unsigned long Number, short Exponent)
{
 static long OriginalNumber = Number;
  
  /* Podnoszenie do potęgi */
 Number *= OriginalNumber;
  /* Sprawdzanie czy wykładnik jest prawidłowy */
 if (Exponent > 2)
 {
  return Exponential (Number, Exponent-1);
 }

 return Number;
}
